Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType xml-registry-entryType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}xml-registry-entryType

Model
  `<...>
  name?, notes?, public-id?, system-id?, root-element-tag?, entity-path?, parser-class-name?, document-builder-factory?, sax-parser-factory?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  This is an entry in the XML registry. An XML registry entry is configuration information associated with a particular XML document type. The document type is identified by one or more of the following: 1) a public ID (e.g, "-//Sun Microsystems, Inc.//DTD Enterprise JavaBeans 2.0//EN" 2) a system ID (e.g, "http://java.sun.com/j2ee/dtds/ejb-jar_2_0.dtd") 3) a document root tag name (e.g., "ejb-jar") In Version 6.0 this configuration information is used by the WebLogic JAXP implementation to choose the appropriate parser factories and parsers and to set up SAX EntityResolvers.

  MBean: `XMLRegistryEntryMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `public-id` optional Provides the public id of the document type represented by this registry entry.
`string` | `system-id` optional Provides the system id of the document type represented by this registry entry.
`string` | `root-element-tag` optional Provides the tag name of the document root element of the document type represented by this registry entry.
`string` | `entity-path` optional Provides the path name to a local copy of an external entity (e.
`string` | `parser-class-name` optional Provides the class name of any custom XML parser that is associated with the registry entry.
`string` | `document-builder-factory` optional Provides the class name of the DocumentBuilderFactory that is associated with the registry entry.
`string` | `sax-parser-factory` optional Provides the class name of the SAXParserFactory that is associated with the registry entry.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1